Expand my Community achievements bar.

Dive into Adobe Summit 2024! Explore curated list of AEM sessions & labs, register, connect with experts, ask questions, engage, and share insights. Don't miss the excitement.
SOLVED

Anyone having AEM Groovy console version 15?

Avatar

Level 6

As per the url: https://github.com/CID15/aem-groovy-console  

Groovy console: 17.x.x supports AEM cloud. Where as 15.x.x, 14.x.x, 13.x.x version supports AEM 6.5

I am not able to get Groovy console project/package for AEM 6.5

Tried to use Groovy console 17.x on AEM 6.5 local instance. But facing some issues while running the script.

1 Accepted Solution

Avatar

Correct answer by
Community Advisor

Hi @Mahesh_Gunaje , I just downloaded 17.x from https://github.com/CID15/aem-groovy-console/releases/tag/17.0.0 and installed on my local 6.5.14 and I don't see any issues.
I just ran sample script that comes as part of the project.

krishna_sai_0-1687246567925.png

 

krishna_sai_1-1687246593672.png

Hope this helps,
Krishna

View solution in original post

5 Replies

Avatar

Correct answer by
Community Advisor

Hi @Mahesh_Gunaje , I just downloaded 17.x from https://github.com/CID15/aem-groovy-console/releases/tag/17.0.0 and installed on my local 6.5.14 and I don't see any issues.
I just ran sample script that comes as part of the project.

krishna_sai_0-1687246567925.png

 

krishna_sai_1-1687246593672.png

Hope this helps,
Krishna

Avatar

Level 6

Thanks for your quick response. Even I am able to use Groovy 17.0.0 in my local AEM 6.5 instance. Works fine. But some times, I am getting an javascript warning. After that not able to see the script section, so that I can write my script. Let me pass the details, if I face the issue again.

Avatar

Level 6

One more query related to use of Groovy script. Is it possible to run  groovy script from command prompt to target local AEM instance? Since I have installed groovy in my system. version is:  4.0.3

Avatar

Community Advisor

Hi @Mahesh_Gunaje , You can download groovy console from the link provided by @Rohit_Utreja .

Also you can install aem-easy-content-upgrade to use groovy console, It have included groovyconsole.

Reference - https://github.com/valtech/aem-easy-content-upgrade

Regards,

Shiv